Package org.eigenbase.resgen

# Class ShadowResourceBundle.MyPropertyResourceBundle

java.lang.Object
java.util.ResourceBundle
java.util.PropertyResourceBundle
org.eigenbase.resgen.ShadowResourceBundle.MyPropertyResourceBundle

Enclosing class:
  `ShadowResourceBundle`

static class ShadowResourceBundle.MyPropertyResourceBundle extends PropertyResourceBundle

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.ResourceBundle

`ResourceBundle.Control`

## Field Summary

### Fields inherited from class java.util.ResourceBundle

`parent`

## Constructor Summary

Constructors
Constructor
Description
`MyPropertyResourceBundle(InputStream stream)`

## Method Summary

Modifier and Type
Method
Description
`(package private) void`
`setParentTrojan(ResourceBundle parent)`

### Methods inherited from class java.util.PropertyResourceBundle

`getKeys, handleGetObject, handleKeySet`

### Methods inherited from class java.util.ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyPropertyResourceBundle

public MyPropertyResourceBundle(InputStream stream) throws IOException

Throws:
  `IOException`

## Method Details

### setParentTrojan

void setParentTrojan(ResourceBundle parent)